Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface GriffonModel

    griffon.core.GriffonModel
      griffon.core.ResourceHandler
          griffon.core.ApplicationHandler
              griffon.core.GriffonMvcArtifact
                  griffon.core.GriffonArtifact
                      griffon.core.Observable
                          griffon.core.MVCHandler
                              griffon.core.ThreadingHandler

All Superinterfaces:
  ResourceHandler, ApplicationHandler, GriffonArtifact, GriffonMvcArtifact, MVCHandler, Observable, ThreadingHandler

    public interface GriffonModel
    extends GriffonMvcArtifact, Observable

Identifies a Model artifact.

Models should always be `Observable`.

Authors:
  Andres Almiray

Since:
  0.9.1

Method Summary

Methods inherited from interface GriffonMvcArtifact
mvcGroupDestroy, mvcGroupInit

Methods inherited from interface Observable
addPropertyChangeListener, addPropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener

Groovy Documentation